﻿using Syncfusion.WinForms.DataGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SfDataGrid_Demo_4_8
{
    public partial class Form1 : Form
    {
        public OrderInfoCollection collections;
        public Form1()
        {
            InitializeComponent();
            collections = new OrderInfoCollection();
            sfDataGrid1.DataSource = collections.Orders;
            sfDataGrid1.ShowGroupDropArea = true;
            sfDataGrid1.AllowGrouping = true;
            sfDataGrid1.AutoGenerateColumns = false;
            sfDataGrid1.AutoGenerateColumnsMode = Syncfusion.WinForms.DataGrid.Enums.AutoGenerateColumnsMode.SmartReset;
            sfDataGrid1.Columns.Add(new GridTextColumn() { MappingName = "OrderID", HeaderText = "Order ID" });
            sfDataGrid1.Columns.Add(new GridTextColumn() { MappingName = "CustomerID", HeaderText = "Customer ID" });
            sfDataGrid1.Columns.Add(new GridTextColumn() { MappingName = "CustomerName", HeaderText = "Customer Name" });
            sfDataGrid1.Columns.Add(new GridTextColumn() { MappingName = "ShipCity", HeaderText = "Ship City" });
            sfDataGrid1.Columns.Add(new GridTextColumn() { MappingName = "Country", HeaderText = "Country" });
            sfDataGrid1.GroupColumnDescriptions.Add(new Syncfusion.WinForms.DataGrid.GroupColumnDescription() { ColumnName = "OrderID" });
        }

        private void resetDataSource_Click(object sender, EventArgs e)
        {
            sfDataGrid1.DataSource = null;
            collections.Orders.RemoveAt(2);
            sfDataGrid1.DataSource = collections.Orders;
        }
    }
}
